Skip to content

Retrieve a project password policy for database resources

Request

OPA roles:
  • resource_admin
  • delegated_resource_admin

Retrieves a project password policy for database resources in a resource group

Security
bearerAuth
Path
team_namestringrequired

The name of your team

resource_group_idstringrequired

The UUID of a resource group

project_idstringrequired

The UUID of a project

curl -i -X GET \
  'https://{org_name}.pam.okta.com/v1/teams/{team_name}/resource_groups/{resource_group_id}/projects/{project_id}/database_password_settings' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

OK

Bodyapplication/json
enable_periodic_rotationbooleanrequired

If true, account passwords are rotated according to the periodic_rotation_duration_in_seconds property

modified_atstring, (date-time)read-only

A UTC timestamp that indicates when the password policy was last modified

periodic_rotation_account_selector_modestringread-only

Controls how accounts are selected. Currently, only ALL is supported. All database accounts are rotated.

Value:"ALL"
periodic_rotation_duration_in_secondsinteger

Specifies how often the Okta Privileged Access platform rotates account passwords

Response
{ "enable_periodic_rotation": true, "modified_at": "2019-08-24T14:15:22Z", "periodic_rotation_account_selector_mode": "ALL", "periodic_rotation_duration_in_seconds": 0 }